Ubuntu

eGalax touchscreen configured as tablet

Reported by Benjamin Meeusen on 2010-03-27
178
This bug affects 30 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-evdev (Fedora)
Unknown
Unknown
xserver-xorg-input-evdev (Ubuntu)
Low
Unassigned
Declined for Lucid by Brian Murray
Declined for Maverick by Brian Murray

Bug Description

Binary package hint: xserver-xorg-input-evdev

from Xorg.0.log: (II) "eGalax Inc. Touch": Configuring as tablet
The touchscreen is a 7" resistive vga monitor.

Every touch makes the cursor move to the upper left corner and register the click there.
My calibration values, coming from an ubuntu 8.10 installation using evtouch, are loaded through a udev rule. Changing them or using no values at all for calibration does not change anything.

If I install the eGalax driver (http://home.eeti.com.tw/web20/eGalaxTouchDriver/linuxDriver.htm), the device is listed twice in "xinput list" and if I disable the device using evdev, I can calibrate the screen using the eGalax tool and everythings works. If I don't disable the device using evdev, everything works too, except that every touch is preceded by a touch to the upper left corner.
But I'd rather get it working using only evdev.

ProblemType: Bug
Architecture: i386
Date: Sat Mar 27 11:07:38 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Beta i386 (20100318)
Package: xserver-xorg-input-evdev 1:2.3.2-3ubuntu2
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=a1d7d9b3-1a8f-4e55-b622-ec5497d7797c ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
SourcePackage: xserver-xorg-input-evdev
Uname: Linux 2.6.32-17-generic i686
dmi.bios.date: 04/03/2009
dmi.bios.vendor: Intel Corp.
dmi.bios.version: LF94510J.86A.0171.2009.0403.0118
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: D945GCLF2
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE46416-106
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrLF94510J.86A.0171.2009.0403.0118:bd04/03/2009:svn:pn:pvr:rvnIntelCorporation:rnD945GCLF2:rvrAAE46416-106:cvn:ct3:cvr:
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-17-generic

Benjamin Meeusen (ravenous) wrote :
Benjamin Meeusen (ravenous) wrote :

The above happened while the usbtouchscreen module was blacklisted (this was needed for the eGalax module). If I let the usbtouchscreen module load, the touchscreen is configured as a touchscreen.
But 'xinput list-props' shows only two axis labels (Abs X and Abs Y), and only part of the touches are registered. 'xinput test' shows very little output (a simple movement shows a couple of lines) while touching all over the screen, e.g. it shows 'button press', then I touch the screen a lot, it shows some 'motion...' output, and then after some touching it shows 'button release'.

If I then do 'rmmod usbtouchscreen' and plug the touchscreen (usb) out and back in, the touchscreen is configured as tablet and all touches make the cursor go to the upper left corner. It is also showing 4 axis labels (Abs X, Y, Z and Rotary X). 'xinput test' shows considerably more output than before (where a simple movement now shows 100 lines)

If I then load the usbtouchscreen module again (modprobe usbtouchscreen) and plug the touchscreen out and in, it stays registered as tablet (also after X restart, should that matter).

cmd_ (cemede) wrote :

With a ubuntu 9.10 fresh install + eGalax driver ( 3.00.3719 or 3.01.4001 beta from the eGalax website) works well!

But with a ubuntu 10.04 rc + eGalax driver or evtouch, appear the problem commented by Benjamin, "Every touch makes the cursor move to the upper left corner and register the click there."

With 10.04 rc, setup.sh from the eGalax driver needs a few modifications to proper install:
-blacklist file points to /etc/modprobe.d/blacklist, -> change to /etc/modprobe.d/blacklist.conf
-install script fail if xorg.conf file doesn't exist, -> create file
-install script also fail if ServerLayout section in xorg.conf isn't present, -> add section

Anyway this latest problems from setup.sh script isn't a bug from ubuntu package.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: New → Confirmed
John Ross (johnross-johnross) wrote :

I also ran into this bug when upgrading from 9.10 to 10.04 RC on an Asus 901 modified with touchscreen that uses eGalax driver. Everything worked great prior to upgrade but I got the same "jump to upper left corner" type of behavior no matter what version of eGalax driver I used. I've reverted to 9.10 until the issue is resolved.

Maximka (maxim-kraev-gmail) wrote :

Executing "xinput set-int-prop "eGalax Inc. USB TouchController" 183 8 0" solved problem for me. I have script which automatically execute command on X started.

UOneChancellor (random-system) wrote :

I have ubuntu 10.04 and msi u100 with touchscreen

Bus 001 Device 004: ID 0eef:0001 D-WAV Scientific Co., Ltd eGalax TouchScreen
Bus 001 Device 002: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB

with original driver eGalax driver ( 3.00.3719 or 3.01.4001 beta from the eGalax website) i can calibrate it.

But with driver of ubuntu 10.04, the touchscreen work, but THERE IS NOT the tool for calibrate....

can you help me?

bye
Lele

chops (chopssmith-googlemail) wrote :

This is affecting me too (on an HP tx1000 series, new install of Lucid on a new HDD). I have no real idea about these things, but am wondering if it is some kind of configuration which needs to be written. For instance if whatever tells it how to work thinks that the screen is 0 x 0 pixels because it has not been told otherwise. That, presumably would send it to the top left hand corner?

I think this adds weight to the need for a calibration programme, like there was in an earlier version of Ubuntu (Gutsy?).

If one of you clever people can come up with a little how-to for the thick but brave (or stupid!) like me, that would be awesome!

Thanks, and keep up the good work!

Rich

cmd_ (cemede) wrote :

Yes, without doubt, we need an application WITH GUI (like the eGalax solution) to calibrate all touchscreens covered by evdev driver.
I see a lot of people that made a little app for doing this, but none of them are in the ubuntu repositories.

Check this blueprints:
https://blueprints.launchpad.net/ubuntu/+spec/mobile-general-resolution-for-touchscreen-handling
and the detailed version here:
https://wiki.ubuntu.com/JauntyTouchscreenHandling

In this last link you can notice a gui app to setup a touchscreen, not only calibration tool, also precision, swap axes, timeouts.. why this app isn't in actual ubuntu releases (and repositories)?

The question isn't why that app isn't in Ubuntu repositories, because chances are that app was never made, and vapourware naturally doesn't exist in any repo. My question is another. Why this program isn't in Ubuntu repos?

http://www.freedesktop.org/wiki/Software/xinput_calibrator

That is a generic XInput calibrator. Works like a charm with evtouch, and can write UDEV rules (perfect for Lucid). Please, check this: https://bugzilla.redhat.com/show_bug.cgi?id=473144 . With that info and the HAL rule there, my eGalax touchscreen works in Fedora 12 (with HAL). Can you work a little with that HAL rule, turn it into an UDEV rule, and make my touchscreen work?

Meh: s/evtouch/evdev/g ...

More on this.

I'm now with Fedora 13 (using a very Lucid-like system) and the behaviour was exactly as described in this bug. Booting with the 2.6.32 kernel provided by Fedora 12 makes my touchscreen work properly, but it gets detected as two devices instead of one. The problem is narrowed to a Fedora 12 only patch for 2.6.32, that introduced HID_QUIRK_MULTI_INPUT for eGalax touchscreens in drivers/hid/usbhid/hid-quirks.c. We are demanding the return of that patch to Fedora 13, to divide the touchscreen in 2 device, but conquer the touchscreening here. If we can get X to recognize the touchscreen as a tablet, or as a whatever that gives reliable X and Y coordinates, and answer to touch, we are done.

Keep an eye on this, Ubuntu followers! The source of this issue is this. It is not evdev, it's the kernel. And that patch is the solution. I'll report my advances getting this fixed under Fedora 13.

kb1605 (kb1605) wrote :

Hello everyone,
i have found a solution that at least works for me, but I am m pretty sure that it will also work for most of you guys.I Use Ubuntu 10.04 and have an eGalaxy USB-Touchpannel(Driver: eGalaxTouch-3.00.3719)

Of course the first step was to install the eGalaxy drivers as mentioned by "cmd_", quote:
"With 10.04 rc, setup.sh from the eGalax driver needs a few modifications to proper install:
-blacklist file points to /etc/modprobe.d/blacklist, -> change to /etc/modprobe.d/blacklist.conf
-install script fail if xorg.conf file doesn't exist, -> create file
-install script also fail if ServerLayout section in xorg.conf isn't present, -> add section"

Maximka's way of fixing the problem is right.Here is what I have done, step by step:
sya@7up:~$ xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ETPS/2 Elantech Touchpad id=15 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=16 [slave pointer (2)]
⎜ ↳ egalax id=6 [slave pointer (2)]
⎜ ↳ eGalax Inc. Touch id=11 [slave pointer (2)]
As you can see "xinput-list" showas two egalaxy devices,
by using the command: <xinput -test "egalax"> and <xinput -test "eGalax Inc. Touch"> I recognized that the false click to the upper left corner is done by the device with the name "eGalax Inc. Touch".

So the next step is to deactivate this device, by taking a look at the device properties with the command:
 <xinput -list-props "eGalax Inc. Touch"> and afterwards deactivating the device with the command:
 <xinput -set-prop "eGalax Inc. Touch" "Device Enabled" 0 >.

Now the mousepointer moves correctly and there are no false clicks to the upper left corner.
In my case I also had to start the eGalaxyTouch configuation program and change the "mouse mode" to "click on touch".

bye
kb1605

The workaround that kb1605 suggested works fine for me.
But if there was a calibration app into ubuntu repos would be much better.
I tried using xinput_calibrator that Ernesto Manriquez suggested but i didnt managed to compile it.. i didnt tried it enough though..

You haven't followed my advances in the Fedora bug lately.

Instead of surrendering to the blob, try appending this to the kernel line in /etc/grub.conf:

usbhid.quirks=0xeef:0x1:0x40

If you can't compile xinput_touchscreen, install this first and see what happens:

sudo apt-get install build-essential libgtkmm-dev

sudo apt-get install build-essential libgtkmm-2.4-dev

(sorry)

John Ross (johnross-johnross) wrote :

I tried kb1605 workaround. It only works with "click on touch" mode. This is fine for opening programs, tapping menus but useless if you intend to use the stylus to draw or write on the screen with something like xournal.

I have yet to try Ernesto's suggestions. More later...

chops (chopssmith-googlemail) wrote :

It is good to see you guys still working on this. I installed the eGalax tool, and it worked ok (upside-down), but seemed to have some kind of conflict with the evdev driver (evdev seemed to take preference over eGalax when it was not disabled.)

I did the xinput -test on each device, and noticed that both output the co-ordinates, so my earlier suggestion of it not recognising the screen size was complete rubbish! You all probably had got there way before me, but I thought I would add it in case someone who did not know started frantically to 'fix' this issue, which is not an issue at all!

This all suggests to me that it should be something relatively simple- after all, evdev is registering the co-ordinates and the clicks, but not quite putting them together. I can't help feeling we (ok, you!) are nearly there, so keep up the good work, and thanks!

cmd_ (cemede) wrote :

Hi, now I have a working 10.04 + evdev driver, there are a few problems but works.

I started with a fresh ubuntu lucid install and:

- I added usbhid.quirks=0xeef:0x1:0x40 to /etc/default/grub, change line:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash usbhid.quirks=0xeef:0x1:0x40"

- Blacklisted usbtouchscreen module, add:

blacklist usbtouchscreen
to
/etc/modprobe.d/blacklist.conf

- Next I installed all neccesary deps to proper compile xinput calibrator (download here: http://github.com/tias/xinput_calibrator/downloads ):

$ sudo apt-get install build-essential libgtkmm-2.4-dev autoconf libtool

- After extract xinput files from the tgz/zip, enter to the decompressed directory and type:

$ ./autogen.sh
$ ./configure
$ make
$ sudo make install (optional, binary files are into ../src/ dir )

Here starts my problem, I want to calibrate the device but there are 2 listed into xinput list. After finding the right one with xinput test "id" I can get the correct values for the calibration, but I can only apply with this:

$ xinput set-int-prop "id from the right device" "Evdev Axes Swap" 8 1 #<-You probably doesn't need to do this
$ xinput set-int-prop "id from the right device" "Evdev Axis Calibration" 32 315 3902 337 3842

The id's changes every boot, and I can't apply the same configuration.

Also I tried adding the udev rules, but do not worked for me. Ernesto, you have luck with udev rules? lucid comes with evdev 2.3.2, this version supports udev rules?

Thanks.

I'm having the same problems as you, cmd_, but I rely heavily in workarounds.

I nailed in my KDE Autostart two desktop files, running this.

xinput set-int-prop 11 "Evdev Axis Calibration" 32 45 4008 121 3978
xinput set-int-prop 12 "Evdev Axis Calibration" 32 45 4008 121 3978

So, I simply assure myself that both eGalax devices (the true one and the fake one) are calibrated. One feature of xinput values is that you can set bogus values for a device that doesn't support them, so I use it.

The place to have these settings is not udev rules; is this:

/usr/share/X11/xorg.conf.d/10-evdev.conf

Copy that file to /etc/X11/xorg.conf.d

Fedora 13 and Lucid share their configuration mechanism: a pure UDEV mechanism. The technique is easier than you think.

Add to that file these lines and see what happens.

    MatchProduct "eGalax"
    Option "Calibration" "45 4008 121 3978" <--or your calibration data

cmd_ (cemede) wrote :
Download full text (3.4 KiB)

Okay, I found the way to manage xorg.conf config under lucid.
Lucid doesn't have /usr/share/X11/xorg.conf.d/ or /etc/X11/xorg.conf.d/, the correct directory is /usr/lib/X11/xorg.conf.d/.

Inside this directory resides 05-evdev.conf file with evdev driver properties/configuration.

I just edited /usr/lib/X11/xorg.conf.d/05-evdev.conf adding this section:

Section "InputClass"
        Identifier "eGalax"
        MatchProduct "eGalax"
        MatchDevicePath "/dev/input/event*"
        Driver "evdev"
        Option "SwapAxes" "on" #<- This is optional!
        Option "Calibration" "415 3906 406 3862"
EndSection

I rebooted and voilá, it worked! :D

Now let's take a look on /var/log/Xorg.0.log

...
(II) config/udev: Adding input device eGalax Inc. USB TouchController (/dev/input/event3)
(**) eGalax Inc. USB TouchController: Applying InputClass "evdev pointer catchall"
(**) eGalax Inc. USB TouchController: Applying InputClass "eGalax"
(**) eGalax Inc. USB TouchController: always reports core events
(**) eGalax Inc. USB TouchController: Device: "/dev/input/event3"
(**) Option "SwapAxes" "on"
(II) eGalax Inc. USB TouchController: Found 3 mouse buttons
(II) eGalax Inc. USB TouchController: Found absolute axes
(II) eGalax Inc. USB TouchController: Found x and y absolute axes
(II) eGalax Inc. USB TouchController: Configuring as mouse
(**) eGalax Inc. USB TouchController: YAxisMapping: buttons 4 and 5
(**) eGalax Inc. USB TouchController: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "eGalax Inc. USB TouchController" (type: MOUSE)
(II) eGalax Inc. USB TouchController: initialized for absolute axes.
(II) config/udev: Adding input device eGalax Inc. USB TouchController (/dev/input/js0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device eGalax Inc. USB TouchController (/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)
...
...
(II) config/udev: Adding input device eGalax Inc. USB TouchController (/dev/input/event4)
(**) eGalax Inc. USB TouchController: Applying InputClass "evdev tablet catchall"
(**) eGalax Inc. USB TouchController: Applying InputClass "eGalax"
(**) eGalax Inc. USB TouchController: always reports core events
(**) eGalax Inc. USB TouchController: Device: "/dev/input/event4"
(**) Option "SwapAxes" "on"
(II) eGalax Inc. USB TouchController: Found absolute axes
(II) eGalax Inc. USB TouchController: Found x and y absolute axes
(II) eGalax Inc. USB TouchController: Found absolute tablet.
(II) eGalax Inc. USB TouchController: Configuring as tablet
(**) eGalax Inc. USB TouchController: YAxisMapping: buttons 4 and 5
(**) eGalax Inc. USB TouchController: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "eGalax Inc. USB TouchController" (type: TABLET)
(II) eGalax Inc. USB TouchController: initialized for absolute axes.
(II) config/udev: Adding input device eGalax Inc. USB TouchController (/dev/input/mouse2)
(II) No input driver/identifier specified (ignoring)

You can notice the "eGalax" InputClass is applied, appearing Option "SwapAxes" "on", the...

Read more...

chops (chopssmith-googlemail) wrote :

OK. I am very excited! I followed cmd_'s post #18, with the calibration information put into '/usr/lib/X11/xorg.conf.d/05-evdev.conf', as in post #20. guess what? It works beautifully! I think it is the best I have ever had it working, in the 2 years (4 Ubuntu versions), and on any OS.

 Now to get it into the default config., and the calibrator (or something similar/ even better) into the repos. The most exciting thing, to my mind, is that I won't have to go through the whole lot again for every kernel upgrade, as has been the case in the past.

I am guessing by the log output in #20 that there are some hidden issues, about which I have no knowledge, and little concern, if I am honest, because it works, but I have to say...

Well done, guys, and thanks!

Erik de Castro Lopo (erikd) wrote :

I had this touchscreen working correctly in karmic and after an upgrade to lucid its broken.

Erik de Castro Lopo (erikd) wrote :

Tried the recipe from #18 and #20 and I still don't have a working touch screen.

cmd_ (cemede) wrote :

Hi Erik, not all eGalax controllers are HID compatible devices and needs a special driver ("touchscreen" module) instead of evdev. But apparently some HID-compatible and non-HID have same usbid's and it's difficult to identify what device is.
The easy way to fix this it's simple, try both 2 modules, not at same time.

Anyway, you upgraded from a previous version or with a fresh installation? you have problem with some step in concrete? can you post your Xorg log?

cmd_ wrote:

> Hi Erik, not all eGalax controllers are HID compatible devices

But my device has the exact same USB id as the one in this bug:

    Bus 005 Device 002: ID 0eef:0001 D-WAV Scientific Co., Ltd eGalax TouchScreen

> Anyway, you upgraded from a previous version or with a fresh
> installation?

No, I upgraded via do-release-upgrade from karmic where the touchscreen
was working.

> you have problem with some step in concrete?

The steps are clear enough, they just didn't work :-).

> can you post your Xorg log?

I will attach it to the bug.

Erik de Castro Lopo (erikd) wrote :

Got it working.

The problem was that although grub2 was installed, grub1 was what was actually being used.

cmd_ (cemede) wrote :

Good for you Erik, you're fast xD sorry for answering so late.

In your Xorg.0.log doesn't appear 2 eGalax devices (tablet and pointer), this is because "usbquirks" isn't being applied. You correctly find what causes this problem, only grub2 uses /etc/default/grub or /etc/grub.d/* files ( https://wiki.ubuntu.com/Grub2#Grub%202%20Files%20&%20Folders ).

Remember, this is only a temporal fix, the bug still alive.

tsm124 (tsm1248) wrote :

Ok the issue so far is just disabling that extra device in my case

sudo xinput -set-prop "eGalax Inc. USB TouchController" "Device Enabled" 0

this command sets the device off but how do i set it off for everyboot it re-enables itself each boot + to add to this conflict when the keyboard or mouse un plugged ubuntu restarts....huh

Any fixes for anyone?

kb1605 (kb1605) wrote :

@tsm124
The easy way ist to:
Open: Menu -> System -> Preferences -> Startup Applications
then click on Add... and insert your code: sudo xinput -set-prop "eGalax Inc. USB TouchController" "Device Enabled" 0

Next time use google for such a basic question ;-)

I also still dont have a fix for the x-server-restart when plugging in a mouse or opening the mouse settings.
Disabeling the second divice is still just kind of a workaround and no final solution or fix.
It seems like its better to 'fix' the problem like "Ernesto Manriquez" and "cmd" did (with my workaround you have the problem that you can only do click on touch).

P.S.: for everyone who is searching for a good calibration program I can recommend the calibration program comming with the eGalax driver. Its the best calibration tool I have seen till now, including 25Points Calibration and edge compensation....

This bug was fixed on Fedora, kernel patch! Watch this!

buurin from FedoraForum posted an alternative way to introduce the missing quirks: nail this in your /etc/modprobe.d/local.conf.

options usbhid quirks=0x0eef:0x0001:0x0040

The effect is the same.

BTW, do the eGalax calibration utility work with evdev? I'd be very (positively) surprised if it worked ;).

Finishing my round of spam, according to this: https://patchwork.kernel.org/patch/76210/ this bug should be ancient history with Maverick Meerkat. If I remove all the quirks workarounds, and simply install the Maverick backported kernel from ppa:kernel-ppa/ppa , touchscreen will work OOTB, with only the configuration posted by cmd_ remaining. Can anybody confirm my thoughts?

Benjamin Meeusen (ravenous) wrote :
Download full text (3.5 KiB)

I used the livecd Maverick Alpha 3 Netbook. Without the usbhid.quirks
option, the cursor stays in the upper left corner. With the
usbhid.quirks option, I can use xinput_calibrator, set the 'Evdev Axes
Swap' and the 'Evdev Axis Inversion' to 1 and have a working
touchscreen.
Now I've installed the backported kernel (same kernel as in Alpha 3, I
believe) on my existing installation, without any custom boot options
and the cursor still goes to the upper left corner.

On 8 August 2010 00:28, Ernesto Manriquez <email address hidden> wrote:
> Finishing my round of spam, according to this:
> https://patchwork.kernel.org/patch/76210/ this bug should be ancient
> history with Maverick Meerkat. If I remove all the quirks workarounds,
> and simply install the Maverick backported kernel from ppa:kernel-
> ppa/ppa , touchscreen will work OOTB, with only the configuration posted
> by cmd_ remaining. Can anybody confirm my thoughts?
>
> --
> eGalax touchscreen configured as tablet
> https://bugs.launchpad.net/bugs/549447
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “xserver-xorg-input-evdev” package in Ubuntu: Confirmed
> Status in “xserver-xorg-input-evdev” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: xserver-xorg-input-evdev
>
> from Xorg.0.log: (II) "eGalax Inc. Touch": Configuring as tablet
> The touchscreen is a 7" resistive vga monitor.
>
> Every touch makes the cursor move to the upper left corner and register the click there.
> My calibration values, coming from an ubuntu  8.10 installation using evtouch, are loaded through a udev rule. Changing them or using no values at all for calibration does not change anything.
>
> If I install the eGalax driver (http://home.eeti.com.tw/web20/eGalaxTouchDriver/linuxDriver.htm), the device is listed twice in "xinput list" and if I disable the device using evdev, I can calibrate the screen using the eGalax tool and everythings works. If I don't disable the device using evdev, everything works too, except that every touch is preceded by a touch to the upper left corner.
> But I'd rather get it working using only evdev.
>
> ProblemType: Bug
> Architecture: i386
> Date: Sat Mar 27 11:07:38 2010
> DistroRelease: Ubuntu 10.04
> DkmsStatus: Error: [Errno 2] No such file or directory
> InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Beta i386 (20100318)
> Package: xserver-xorg-input-evdev 1:2.3.2-3ubuntu2
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=a1d7d9b3-1a8f-4e55-b622-ec5497d7797c ro quiet splash
> ProcEnviron:
>  LANG=en_US.utf8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> SourcePackage: xserver-xorg-input-evdev
> Uname: Linux 2.6.32-17-generic i686
> dmi.bios.date: 04/03/2009
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: LF94510J.86A.0171.2009.0403.0118
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: D945GCLF2
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE46416-106
> dmi.chassis.type: 3
> dmi.modalias: dmi:bvnIntelCorp.:bvrLF94510J.86A.0171.2009.0403.0118:bd04/03/2009:svn:pn:pvr:rvnIntelCorporation:rnD945GCLF2:rvrAAE4...

Read more...

Benjamin Meeusen (ravenous) wrote :

With the quirks option, xorg detects two devices for my touchscreen, one TABLET and one MOUSE, both with the same name. Is this normal behaviour? It makes assigning the right ID to 'xinput set-int-prop' a bit harder, since the ID changes if you plug other usb devices or plug it into another usb port.

Benjamin Meeusen (ravenous) wrote :

I've read the thread again and found the solution using xorg.conf.d

Section "InputClass"
        Identifier "eGalax calibration"
        MatchProduct "eGalax Inc. Touch"
        Option "Calibration" "2004 66 76 1942"
        Option "SwapAxes" "1"
        Option "InvertX" "1"
        Option "InvertY" "1"
EndSection

I was trying to do this using udev rules, but then I came across https://wiki.kubuntu.org/X/InputConfiguration
which says: "Note: The x11_options properties are not supported in Ubuntu 10.04. Use xorg.conf.d snippets instead."

@Benjamin. This is normal behaviour for the quirks option. One of those devices is mute, the other one works.

MacRules (macrules) wrote :

Hi all,

I am not sure if this is the proper place, but I'll just try and hope nobody is pissed or anyone points me in the right direction.
I have a touchscreen branded GeneralTouch with id 0dfc:0001 .
It seems to get only partly loaded, because I just get no screen input.
This is my Xorg log:
(II) config/udev: Adding input device Sensing Win7-TwoFinger (/dev/input/event5)
(**) Sensing Win7-TwoFinger: Applying InputClass "evdev touchscreen catchall"
(**) Sensing Win7-TwoFinger: always reports core events
(**) Sensing Win7-TwoFinger: Device: "/dev/input/event5"
(II) Sensing Win7-TwoFinger: Found absolute axes
(II) Sensing Win7-TwoFinger: Found x and y absolute axes
(II) Sensing Win7-TwoFinger: Found absolute touchscreen
(II) Sensing Win7-TwoFinger: Configuring as touchscreen
(**) Sensing Win7-TwoFinger: YAxisMapping: buttons 4 and 5
(**) Sensing Win7-TwoFinger: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Sensing Win7-TwoFinger" (type: TOUCHSCREEN)
(II) Sensing Win7-TwoFinger: initialized for absolute axes.
(II) config/udev: Adding input device Sensing Win7-TwoFinger (/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)

I also would like to point you all to the xinput_calibrator deb (also source en Fedora rpm):
http://github.com/tias/xinput_calibrator/downloads

When I run that, no input is registered from touching the screen, but my mouse clicks from external mouse are.

Does anyone know what I can do to get it working?
I was thinking about the usb quircks, but I do not know what 0040 means, so I do not know how to get the whole string for my device.

Any help is greatly appreciated!

MacRules (macrules) wrote :

And the kernel output:
mypad@mypad-laptop:/usr/lib/X11/xorg.conf.d$ dmesg | grep touch
[ 5.915284] usbcore: registered new interface driver usbtouchscreen

cmd_ (cemede) wrote :

Hi MacRules, thanks to point to xinput_calibrator .deb package (at last!).

For first, you have a touch-screen from a different vendor, GeneralTouch, not eGalax, this vendor make its own controllers? perhaps take one from another vendor and remark/rename (this is correct term?) it as theirs. Anyway, try drivers from your vendor: http://www.generaltouch.com/zmp/Driver.htm
This: http://www.generaltouch.com/zmp/gtusbdriver4ubuntuv1.1d2beta.tgz (vendor says "Applicable For 32bit FC 8/9/12, ubuntu 8.04/8.10/9.04/9.10"

But If you want to make this to work with evdev driver, let's try this:
-test the device with: xinput -test "device id" and touch the screen, you see something? (to see device id use xinput -list)
-if you are using evdev driver, blacklist usbtouchscreen driver, write "blacklist usbtouchscreen" line to /etc/modprobe.d/blacklist.conf

cmd_ (cemede) wrote :

Hey guys, great news, I saw a new PPA with the xinput_calibrator package!
https://launchpad.net/~tias/+archive/xinput-calibrator-ppa

Also exists a bug to propose the package to the main repository:
https://bugs.launchpad.net/ubuntu/+bug/586532

MacRules (macrules) wrote :
Download full text (4.5 KiB)

hi CMD,

you are welcome, thanks for pointing out the PPA :)!

I am on 10.04 now and already tried the vendor driver with no succes.
It also did not work on 9.10.

When I blacklist usbtouchscreen, there is no device loaded and nothing is
recognised in Xorg.

About the vendor: I do not know exactly. Unfortunately the drivers are
binary and they do not work for me.
I did not find a contact email adress, I think I should look harder :).

I prefer evdev, but it seems hard.

With usbtouchscreen driver loaded i get a proper input device, but no input
if i touch the screen.
This has been the problem from the beginning: no input is registered.

When usbtouchscreen is loaded, input -list says:
Sensing Win7-TwoFinger id=15 [slave pointer (2)]
(when not loaded it is not there.)

I am out of ideas, If you have any, please let me know!

cmd_ <email address hidden> wrote on 28 Aug 2010, 07:52 PM:
Subject: [Bug 549447] Re: eGalax touchscreen configured as tablet
>Hi MacRules, thanks to point to xinput_calibrator .deb package (at
>last!).
>
>For first, you have a touch-screen from a different vendor, GeneralTouch,
>not eGalax, this vendor make its own controllers? perhaps take one from
>another vendor and remark/rename (this is correct term?) it as theirs.
>Anyway, try drivers from your vendor:
>http://www.generaltouch.com/zmp/Driver.htm
>This: http://www.generaltouch.com/zmp/gtusbdriver4ubuntuv1.1d2beta.tgz
>(vendor says "Applicable For 32bit FC 8/9/12, ubuntu 8.04/8.10/9.04/9.10"
>
>But If you want to make this to work with evdev driver, let's try this:
>-test the device with: xinput -test "device id" and touch the screen, you
>see something? (to see device id use xinput -list)
>-if you are using evdev driver, blacklist usbtouchscreen driver, write
>"blacklist usbtouchscreen" line to /etc/modprobe.d/blacklist.conf
>
>--
>eGalax touchscreen configured as tablet
>https://bugs.launchpad.net/bugs/549447
>You received this bug notification because you are a direct subscriber
>of the bug.
>
>Status in �xserver-xorg-input-evdev� package in Ubuntu: Confirmed
>Status in �xserver-xorg-input-evdev� package in Fedora: Unknown
>
>Bug description:
>Binary package hint: xserver-xorg-input-evdev
>
>from Xorg.0.log: (II) "eGalax Inc. Touch": Configuring as tablet
>The touchscreen is a 7" resistive vga monitor.
>
>Every touch makes the cursor move to the upper left corner and register the
>click there.
>My calibration values, coming from an ubuntu 8.10 installation using
>evtouch, are loaded through a udev rule. Changing them or using no values
>at all for calibration does not change anything.
>
>If I install the eGalax driver
>(http://home.eeti.com.tw/web20/eGalaxTouchDriver/linuxDriver.htm), the
>device is listed twice in "xinput list" and if I disable the device using
>evdev, I can calibrate the screen using the eGalax tool and everythings
>works. If I don't disable the device using evdev, everything works too,
>except that every touch is preceded by a touch to the upper left corner.
>But I'd rather get it working using only evdev.
>
>ProblemType: Bug
>Architecture: i386
>Date: Sat Mar 27 11:07:38 2010
>DistroRelease: Ubuntu 10.04
>DkmsStat...

Read more...

tripzero (tripzero) wrote :

Using latest Maverick. This is still an issue (cursor in upper left). Here's my output for grep "eGalax" /var/log/Xorg.0.log:

[ 15.451] (II) config/udev: Adding input device eGalax Inc. Touch (/dev/input/event4)
[ 15.451] (**) eGalax Inc. Touch: Applying InputClass "evdev tablet catchall"
[ 15.451] (**) eGalax Inc. Touch: always reports core events
[ 15.451] (**) eGalax Inc. Touch: Device: "/dev/input/event4"
[ 15.480] (II) eGalax Inc. Touch: Found 3 mouse buttons
[ 15.480] (II) eGalax Inc. Touch: Found absolute axes
[ 15.480] (II) eGalax Inc. Touch: Found x and y absolute axes
[ 15.480] (II) eGalax Inc. Touch: Found absolute tablet.
[ 15.480] (II) eGalax Inc. Touch: Configuring as tablet
[ 15.480] (**) eGalax Inc. Touch: YAxisMapping: buttons 4 and 5
[ 15.480] (**) eGalax Inc. Touch: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 15.480] (II) XINPUT: Adding extended input device "eGalax Inc. Touch" (type: TABLET)
[ 15.480] (II) eGalax Inc. Touch: initialized for absolute axes.
[ 15.480] (II) config/udev: Adding input device eGalax Inc. Touch (/dev/input/mouse1)

This also seems to effect MeeGo as well. Does the 2.6.35 kernels still need the quirks?

tripzero (tripzero) wrote :

adding the config suggested in #36 made the pointer go to the lower left. But xinput_calibrator still only accepts one input

Hello, I did a fresh install of Ubuntu 10.10 Netbook. Is there a solution?

$ grep "eGalax" /var/log/Xorg.0.log
[ 22.769] (II) config/udev: Adding input device eGalax Inc. Touch (/dev/input/event5)
[ 22.769] (**) eGalax Inc. Touch: Applying InputClass "evdev tablet catchall"
[ 22.769] (**) eGalax Inc. Touch: always reports core events
[ 22.769] (**) eGalax Inc. Touch: Device: "/dev/input/event5"
[ 22.788] (II) eGalax Inc. Touch: Found 3 mouse buttons
[ 22.788] (II) eGalax Inc. Touch: Found absolute axes
[ 22.788] (II) eGalax Inc. Touch: Found x and y absolute axes
[ 22.788] (II) eGalax Inc. Touch: Found absolute tablet.
[ 22.788] (II) eGalax Inc. Touch: Configuring as tablet
[ 22.788] (**) eGalax Inc. Touch: YAxisMapping: buttons 4 and 5
[ 22.788] (**) eGalax Inc. Touch: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 22.788] (II) XINPUT: Adding extended input device "eGalax Inc. Touch" (type: TABLET)
[ 22.789] (II) eGalax Inc. Touch: initialized for absolute axes.
[ 22.790] (II) config/udev: Adding input device eGalax Inc. Touch (/dev/input/mouse0)

$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ eGalax Inc. Touch id=10 [slave pointer (2)]
⎜ ↳ SynPS/2 Synaptics TouchPad id=13 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Acer Crystal Eye webcam id=11 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=12 [slave keyboard (3)]

It seems the xorg.conf.d file doesnt exist anymore on Maverick.
Also I installed xinput_calibrator but it doesnt recognize my touches. I touch the first cross and it seems ok but when i touch the second cross nothing happens..

cmd_ (cemede) wrote :

Hi Emmanouel,
On maverick xorg.conf.d directory changed again:

/usr/share/X11/xorg.conf.d/ <--- Maverick 10.10
/usr/lib/X11/xorg.conf.d/ <--- Lucid 10.04

Also mavercick seems to have usbquirks applied by default.

Try to add the new section to /usr/share/X11/xorg.conf.d/05-evdev.conf following the commented on post #20.

dimos (gvsopic) wrote :

Hey,
       I've been having the same trouble that Emmanouel is suffering from. I'm basically trying to run Maverick on a WeTab. Everything appears to run fine but as soon as I touch the touchscreen, the courser jumps up to the left corner. I've tried pretty much everything that's mentioned here (blacklisting, running the eGalaxTouchdriver, quirks, evdev.conf entries with calibrations that I took right out of the WeTab's original os conf files...but still no cigar). My log also shows the touchscreen being recognized as a tablet (and an error regarding evdev-grail and no support for gestures). I'm thinking I might switch to another release of Ubuntu, it looks like people are having better luck with 9.04...
Any help would be super appreciated.
Thanks!

----------------------------------------------------
blog: http://wetabz.blogspot.com

On Ubuntu 10.10 Maverick:

As you can see in my attachment, after applying comment 20 the only change in the xorg log is the 'Applying InputClass "eGalax"'. The pointer keep going to the upper left corner. By removing comment's 20 addition and applying the one from comment 36 i've got 'Applying InputClass "eGalax calibration"' two times and then the pointer goes to the bottom-left cornen whenever i touch the panel as tripzero said.

Changing

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash usbhid.quirks=0xeef:0x1:0x40"

didnt help..

Is there anything else that i can try?

Thank you.

Chase Douglas (chasedouglas) wrote :

I think the following patch should fix the issues noted here:

http://git.kernel.org/?p=linux/kernel/git/jikos/hid.git;a=commitdiff;h=f51661105c3c8a0afcd69f995a4f4a10e53da153

The patch should be in the 2.6.37-rc1. The kernel will be packaged and published soon to:

http://kernel.ubuntu.com/~kernel-ppa/mainline/

If you can, please test the kernel to see if it fixes the issues. Note that -rc1 kernels are similar to beta releases of most software, so don't be too alarmed if it doesn't even boot :).

Thanks

With kernel 2.6.37rc1 it finally worked! The calibration was a little tricky but now everything is working.

First i installed the kernel image and headers from Chase Douglas' link and the upper-left corner problem fixed. Then i ran xinput_calibrator and it gave me a snippet to add in /etc/X11/xorg.conf.d/99-calibration.conf

The tricky part was that the calibration wasn't correct. I added manually the InverAxes option and now everything is OK.

The only think im not sure is that there are 2 devices instead of 1. Should i just disable one?

I'm attaching the xorg log before and after.

dimos (gvsopic) wrote :

I know this is a silly question, but apart from getting debian to install the headers from that link that Chase gave us, is there anything else I need to do to get the changes effectively compiled into my current kernel?

dimos (gvsopic) wrote :

Doh, the image...right....

dimos (gvsopic) wrote :
Download full text (7.5 KiB)

hmmm...well it didn't work for with my hardware for some reason. I'll post all that I know about my system and maybe someone will spot out the problem...the following was all I could gather from the original WeTab Os that came preinstalled:

/etc/X11/xorg.conf.d/99-calibration.conf

ection "InputClass"
Identifier "default"
Driver "evdev"
EndSection

Section "InputClass"
Identifier "calibration"
MatchProduct "eGalax Inc. USB TouchController"
Option "Calibration" "-5 4100 59 4100"
EndSection

lsusb gives the following output:

Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 011: ID 12d1:1404 Huawei Technologies Co., Ltd.
Bus 002 Device 007: ID 04f2:b213 Chicony Electronics Co., Ltd
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 0eef:72a1 D-WAV Scientific Co., Ltd
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Note the 2nd record from the bottom: Bus 003 Device 002: ID 0eef:72a1 D-WAV Scientific Co., Ltd. Most posts mention that there should also exist 'egalax...' at the end of the given string, not sure if that matters.

Futhermore looking at xinput -list output we get the following:

-Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ eGalax Inc. USB TouchController id=11 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
↳ Power Button id=6 [slave keyboard (3)]
↳ Video Bus id=7 [slave keyboard (3)]
↳ Power Button id=8 [slave keyboard (3)]
↳ USB 2.0 Camera id=12 [slave keyboard (3)]
↳ Asus Laptop extra buttons id=13 [slave keyboard (3)]
↳ AT Translated Set 2 keyboard id=14 [slave keyboard (3)]
↳ USB Keyboard id=9 [slave keyboard (3)]
↳ USB Keyboard id=10 [slave keyboard (3)]

For more info on the eGalax device we issue:

xinput -list-props 11

Device 'eGalax Inc. USB TouchController':
Device Enabled (132): 1
Device Accel Profile (252): 0
Device Accel Constant Deceleration (253): 1.000000
Device Accel Adaptive Deceleration (255): 1.000000
Device Accel Velocity Scaling (256): 10.000000
Evdev Reopen Attempts (248): 10
Evdev Axis Inversion (257): 0, 0
Evdev Axis Calibration (258): -5, 4100, 59, 4100
Evdev Axes Swap (259): 0
Axis Labels (260): "Abs X" (250), "Abs Y" (251), "None" (0), "None" (0), "None" (0)
Button Labels (261): "Button Unknown" (249), "Button Unknown" (249), "Button Unknown" (249), "Button Wheel Up" (136), "Button Wheel Down" (137)
Evdev Middle Button Emulation (262): 2
Evdev Middle Button Timeout (263): 50
Evdev Wheel Emulation (264): 0
Evdev Wheel Emulation Axes (265): 0, 0, 4, 5
Evdev Wheel Emulation Inertia (266): 10
Evdev Wheel Emulation Timeout (267): 200
Evdev Wheel Emulation Button (268): 4
Evdev Drag Lock Buttons (269): 0

Ok let's what xorg has to say about all this:

cat /var/log/Xorg.0.log |grep -i egalax

[ 11.935] (II) config/udev: Adding input device eGal...

Read more...

Chase Douglas (chasedouglas) wrote :

dimos:

What's the issue you are having? The logs all look reasonable to me. Are you trying to use this on Ubuntu or Debian?

Chase Douglas (chasedouglas) wrote :

Emmanouel:

Thanks for testing the kernel image out. I'm going to ask upstream for the commit to be included in all the stable kernel releases for previous kernels as well.

Changed in utouch:
status: New → Invalid
affects: xserver-xorg-input-evdev (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Henrik Rydberg (rydberg) wrote :

On 11/02/2010 06:51 PM, dimos wrote:

> hmmm...well it didn't work for with my hardware for some reason. I'll
> post all that I know about my system and maybe someone will spot out the
> problem...the following was all I could gather from the original WeTab
> Os that came preinstalled:

[...]

> Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 011: ID 12d1:1404 Huawei Technologies Co., Ltd.
> Bus 002 Device 007: ID 04f2:b213 Chicony Electronics Co., Ltd
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 002: ID 0eef:72a1 D-WAV Scientific Co., Ltd

This is a different device than 0eef:0001. The one you have is well supported by
the hid-egalax-dkms package found in ppa:utouch-team/utouch. A pristine maverick
install plus the above package should do the trick.

Henrik

dimos (gvsopic) wrote :

Hi Henrik,
  I actually installed the utouch package you mentioned above on to a clean install of Maverick but still got the same behaviour: I press on the screen and the cursor just jumps to the top left corner. The log shows that the eGalax device is detected as a Tablet (as opposed to a touchscreen as was the case with the xorg logs from the original OS which is a Meego/android hybrid kinda thing). And with Maverick, it doesn't look like hid_egalax gets loaded even. Do I need to use the quirk setting and give it that vendor id?
Cheers,
dimos

dimos (gvsopic) wrote :

Hi Chase,
   I'm trying this on Ubuntu 10.10. I also tried with, 9.10 and Meego netbook edition and had the same exact behaviour. The last thing I tried was to use the patched kernel image you recommended, I'm wondering if my device needs another quirk entry ( I have no clue what quirk is really so I might be totally off, but as I understand, the patch you provided adds some predefined value to a quirks blacklist or something of the sort identifying the touchscreen).
Thanks
dimos

Henrik Rydberg (rydberg) wrote :

On 11/02/2010 09:42 PM, dimos wrote:

> Hi Henrik,
> I actually installed the utouch package you mentioned above on to a clean install of Maverick

> but still got the same behaviour: I press on the screen and the cursor just
> jumps to the top left corner. The log shows that the eGalax device is
> detected as a Tablet (as opposed to a touchscreen as was the case with the
> xorg logs from the original OS which is a Meego/android hybrid kinda thing).
> And with Maverick, it doesn't look like hid_egalax gets loaded even. Do I
> need to use the quirk setting and give it that vendor id?

The hid-egalax-dkms package depends on the hid-dkms package in the same ppa,
which implements the equivalent of the hid quirks.

Henrik

Jonathan Litsheim (jonlits83) wrote :
Download full text (6.0 KiB)

I kinda started a new thread on kubuntuforums.net here it is http://kubuntuforums.net/forums/index.php?topic=3114895.0

Basically I have a theory about entry 12 on this forum from kb1605. This is what I posted on kubuntuforums.net. I am probably a little late in understanding this but maybe it will help someone out.

So more research I think I maybe have a better understanding what is going on here are parts of lshal and and xinput -list

lshal part
udi = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial'
  info.linux.driver = 'usb' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0' (string)
  info.product = 'eGalax TouchScreen' (string)
  info.subsystem = 'usb_device' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial' (string)
  info.vendor = 'D-WAV Scientific Co., Ltd' (string)
  linux.device_file = '/dev/bus/usb/002/003' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'usb' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2' (string)
  usb_device.bus_number = 2 (0x2) (int)
  usb_device.can_wake_up = true (bool)
  usb_device.configuration = 'HID-USB Touchscreen' (string)
  usb_device.configuration_value = 1 (0x1) (int)
  usb_device.device_class = 0 (0x0) (int)
  usb_device.device_protocol = 0 (0x0) (int)
  usb_device.device_revision_bcd = 256 (0x100) (int)
  usb_device.device_subclass = 0 (0x0) (int)
  usb_device.is_self_powered = false (bool)
  usb_device.linux.device_number = 3 (0x3) (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2' (string)
  usb_device.max_power = 44 (0x2c) (int)
  usb_device.num_configurations = 1 (0x1) (int)
  usb_device.num_interfaces = 1 (0x1) (int)
  usb_device.num_ports = 0 (0x0) (int)
  usb_device.product = 'eGalax TouchScreen' (string)
  usb_device.product_id = 1 (0x1) (int)
  usb_device.speed = 1.5 (1.5) (double)
  usb_device.vendor = 'D-WAV Scientific Co., Ltd' (string)
  usb_device.vendor_id = 3823 (0xeef) (int)
  usb_device.version = 1.1 (1.1) (double)

udi = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial_if0_logicaldev_input'
  button.has_state = false (bool)
  info.addons.singleton = {'hald-addon-input'} (string list)
  info.capabilities = {'input', 'button'} (string list)
  info.category = 'input' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial_if0' (string)
  info.product = 'eGalax Inc. Touch' (string)
  info.subsystem = 'input' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial_if0_logicaldev_input' (string)
  input.device = '/dev/input/event2' (string)
  input.originating_device = '/org/freedesktop/Hal/devices/usb_device_eef_1_noserial_if0' (string)
  input.product = 'eGalax Inc. Touch' (string)
  linux.device_file = '/dev/input/event2' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'input' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input5/event2' (string)

xinput -list output
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual ...

Read more...

description: updated
Jeremy Foshee (jeremyfoshee) wrote :

Benjamin Meeusen,
       I'm interested in your current testing of this issue. Have the recent Natty updates resolved the issue for you?

Thanks!

~JFo

Changed in linux (Ubuntu Natty):
status: Triaged → Incomplete
tags: added: kernel-key
Changed in linux (Ubuntu Natty):
milestone: none → natty-updates
Jonathan Litsheim (jonlits83) wrote :

I'm not sure if this reply still work. I still have not been able to get my
touchscreen to work. I was hoping that in this latest release of ubuntu
that the problem may be fixed. If there is something you would like me to
try let me know.

Jon
<email address hidden>

On Apr 20, 2011 9:36 AM, "Jeremy Foshee" <email address hidden> wrote:
> ** Changed in: linux (Ubuntu Natty)
> Milestone: None => natty-updates
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/549447
>
> Title:
> eGalax touchscreen configured as tablet
>
> Status in uTouch:
> Invalid
> Status in “linux” package in Ubuntu:
> Incomplete
> Status in “linux” source package in Natty:
> Incomplete
> Status in “xserver-xorg-input-evdev” package in Fedora:
> Unknown
>
> Bug description:
> Binary package hint: xserver-xorg-input-evdev
>
> from Xorg.0.log: (II) "eGalax Inc. Touch": Configuring as tablet
> The touchscreen is a 7" resistive vga monitor.
>
> Every touch makes the cursor move to the upper left corner and register
the click there.
> My calibration values, coming from an ubuntu 8.10 installation using
evtouch, are loaded through a udev rule. Changing them or using no values at
all for calibration does not change anything.
>
> If I install the eGalax driver (
http://home.eeti.com.tw/web20/eGalaxTouchDriver/linuxDriver.htm), the device
is listed twice in "xinput list" and if I disable the device using evdev, I
can calibrate the screen using the eGalax tool and everythings works. If I
don't disable the device using evdev, everything works too, except that
every touch is preceded by a touch to the upper left corner.
> But I'd rather get it working using only evdev.
>
> ProblemType: Bug
> Architecture: i386
> Date: Sat Mar 27 11:07:38 2010
> DistroRelease: Ubuntu 10.04
> DkmsStatus: Error: [Errno 2] No such file or directory
> InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Beta i386
(20100318)
> Package: xserver-xorg-input-evdev 1:2.3.2-3ubuntu2
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic
root=UUID=a1d7d9b3-1a8f-4e55-b622-ec5497d7797c ro quiet splash
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
> SourcePackage: xserver-xorg-input-evdev
> Uname: Linux 2.6.32-17-generic i686
> dmi.bios.date: 04/03/2009
> dmi.bios.vendor: Intel Corp.
> dmi.bios.version: LF94510J.86A.0171.2009.0403.0118
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: D945GCLF2
> dmi.board.vendor: Intel Corporation
> dmi.board.version: AAE46416-106
> dmi.chassis.type: 3
> dmi.modalias:
dmi:bvnIntelCorp.:bvrLF94510J.86A.0171.2009.0403.0118:bd04/03/2009:svn:pn:pvr:rvnIntelCorporation:rnD945GCLF2:rvrAAE46416-106:cvn:ct3:cvr:
> glxinfo: Error: [Errno 2] No such file or directory
> system:
> distro: Ubuntu
> codename: lucid
> architecture: i686
> kernel: 2.6.32-17-generic
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/utouch/+bug/549447/+subscribe

Benjamin Meeusen (ravenous) wrote :

Last night, I gave it a quick try with the 11.04 beta 2.

After installation (and probably with live cd too, but I don't remember if it was exactly the same): without changing anything, the touchscreen works, but the axes are swapped; going from left to right on the screen, moves the cursor from top to bottom)
If I swap the axes (xinput set-int-prop <device_id> <prop_id> 8 1), the axes are swapped, but then the cursor jumps away a lot, I think to the center of the top and bottom, it's hard to see where exactly.

xinput still shows two devices for the touchscreen: if I disable one of them, the touchscreen stops working, if I disable the other one, nothing happens

I will try some more this evening.

Henrik Rydberg (rydberg) wrote :

Benjamin, on what device are you experiencing the inverted axes?

Benjamin Meeusen (ravenous) wrote :

Henrik

It is a Lilliput 7" VGA Touchscreen 629GL-70NP

Bus 002 Device 003: ID 0eef:0001 D-WAV Scientific Co., Ltd eGalax TouchScreen

Jonathan Litsheim (jonlits83) wrote :

Installed Natty last night, the touchscreen worked with the exception of the inverted axis.

I also have a Lilliput 7" VGA Touchscreen 629GL-70NP.

The touch monitor is installed in my truck on a mini ITX PC. I just installed a fresh Ubuntu Natty 11.04. I am going to goto the eGalax site and download the calibration program to see if that will work now, before it did not.

Thanks for everyones work on this. I am excited that it is at least partially working now.

Thomas (teoverton) wrote :

Benjamin,
quote
"the touchscreen works, but the axes are swapped; going from left to right on the screen, moves the cursor from top to bottom)
If I swap the axes (xinput set-int-prop <device_id> <prop_id> 8 1), the axes are swapped, but then the cursor jumps away a lot, I think to the center of the top and bottom, it's hard to see where exactly."

I'm having this same exact problem and haven't manage to defeat it trying everything suggested here. Have you had any luck? The cursor behaves fine but with inverted axis, but using calibrator makes the cursor track the touch but jump wildly to some other point and back... selecting things randomly. Any change using xinput seems to bring about this randomly selecting behaviour...
I'm also on egalax usb touchscreen...natty.

Thomas Overton

Changed in linux (Ubuntu):
status: Incomplete → Triaged

The bug also exists on my system. The pointer instead of going up goes right and instead of going right it goes down.. When i run "xinput --set-prop 11 262 1" then the pointer jumps away all the time and i cant use it... It doesnt matter if I disable the other device (10).

I forgot to say that this problem is only for natty. Maverick was ok.

Jaroslaw Filiochowski (jarfil) wrote :

There seems to be a problem with the new valuator assignments when SwapAxes is enabled (or rather, the lack of un-assignment), which causes some "0" coords being passed on to X.

The attached patch should fix this (seems to work for me).

Changed in linux (Ubuntu Natty):
assignee: nobody → Jaroslaw Filiochowski (jarfil)
affects: linux (Ubuntu Natty) → xserver-xorg-input-evdev (Ubuntu Natty)
Changed in xserver-xorg-input-evdev (Ubuntu Natty):
status: Incomplete → In Progress
tags: added: patch
Benjamin Meeusen (ravenous) wrote :

Jaroslaw, to which source should I apply your patch? I have tried to apply it to the one I get with 'apt-get source xserver-xorg-input-evdev', but it doesn't seem to work.

Jaroslaw Filiochowski (jarfil) wrote :

Apply it after the patches already included in the ubuntu package:

apt-get build-dep xserver-xorg-input-evdev
apt-get source xserver-xorg-input-evdev --compile
cd xserver-xorg-input-evdev-2.6.0
patch -p1 < xserver-xorg-input-evdev-2.6.0-jarfil_20110723a.patch
cd build
make

Chase Douglas (chasedouglas) wrote :

The swap axes functionality is deprecated. Please use input coordinate transformation instead. For more information, see:

http://wiki.ubuntu.com/X/InputCoordinateTransformation

Ramaddan (ramaddan) wrote :

Hi,

Can someone point me to the right direction.

When I was using Ubuntu Maverick, it was a pain to get my eGalax touch screen working.

But when Natty came out, it worked right out of the box, except for the inverted y-axis, which I didn't mind, since I could just reverse the y coordinates numbers of the 99-calibrator.conf file to get it right.

However, now it regressed under oneiric, and I lost control of my touchscreen.

I remember once trying a different kernel during the Maverick days and it got it working, but I forgot where I got that kernel from, but I remember it was part of kernels being tested and higher up in version than the one in Maverick.

So is this a kernel issue or an evdev issue?

Thanks

Dave C (dave9111) wrote :
Download full text (3.3 KiB)

This diatribe of information was useful getting my 8" Xenarc 800TSV screen working with the evdev driver on Ubuntu 10.04 LTS but the volume of info was such that it was hard to figure out what was the right thing to do vs the wrong thing to do.
So I wanted to summarize what I did so others could avoid the pain.. My final solution works very well.

To make it clear I was not dealing with old conflicts, I did a fresh bare metal install of Ubuntu 10.04 LTS before starting this.

First I want to add that I tried to use the EETI.com.tw drivers and I had a couple of problems with them.
1. The xorg.conf file does not exist on a new Ubuntu 10.04 install, but the eGalax driver 3.07... at this time does not recognize that so the install silently fails. That is a pretty big bug. You have to create an xorg.conf file and put something in the file, like a single space character and then save it. Then run the driver script file install for it to operate properly.

2. On initial logon with the EETI.com.tw driver, with version 3.07. the touch screen does not function. If I log out and then back in, it works fine. While this might be acceptable for some, my application does not use a mouse or keyboard which means that logging in without a touchscreen is a dead end, total deal killer.

OK.. so on to what I did after a baremetal install of Ubuntu 10.04 LTS:

1. To be safe, edit /etc/modprobe.d/blacklist.conf and add a line at the end that says "blacklist usbtouchscreen" (don't include the quotes)
2. Following the directions in comment #18 above, edit the /etc/default/grub file and add the usbhid.quirks ... to the end of the line.
3. At a command prompt run: update-grub to make the grub changes permanent
4. Reboot your computer with your touch screen attached. It should work.. sort of .. the mouse pointer should respond to a tap and drag..
5. If you look at the X log file: /var/log/xorg.0.log and do a search for egalax, after some reading you will see that the OS has decided that you really have a tablet and not a touch screen.. You might say Oh no... but really who cares if it works!
6. Edit this file: /usr/lib/X11/xorg.conf.d/05-evdev.conf and add in the section called tablet catchall, a line after the line that says; Driver "evdev" . Make the next line this: Option "InvertY" "true"
7. Save the file and reboot. The X and Y axis movements via the touch screen should be correct, but the calibration will be wrong.
7. Go to this site http://www.freedesktop.org/wiki/Software/xinput_calibrator
8. Download the package labeled Ubuntu 10.04 and save the file.
9. Double click on the file and install the software.
10. Run the calibrator software that is installed under menu...system, administrative
11. Make a note of the calibration numbers it delivers - the first 4 numbers in sequence.
12. Again, edit the file: /usr/lib/X11/xorg.conf.d/05-evdev.conf and add a line below the InvertY line that says:
          Option "Calibration" "xx xx xx xx" where the xx's are the four numbers you just wrote down from the calibration routine.
13. Save the file and reboot.
14. The touchscreen should be fully functional...

Read more...

Benjamin Meeusen, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-input-evdev REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

no longer affects: xserver-xorg-input-evdev (Ubuntu Natty)
no longer affects: xserver-xorg-input-evdev (Ubuntu)
affects: oif → xserver-xorg-input-evdev (Ubuntu)
Changed in xserver-xorg-input-evdev (Ubuntu):
status: Invalid → Incomplete
importance: Undecided → Low
Søren Holm (sgh) wrote :

I beleive that total stack has proper support for this now.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.